<?php
	session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
	$opendb=new mydb();
	require_once('inc/char_set.php');

	$dispFunctionName="栏目";
	$functionName=$_POST['functionName'];
	$cateName=$_POST['cateName'];
	if($_GET['cateName']!="")
	{$cateName=$_GET['cateName'];}
	$brief=$_POST['brief'];
	$suffStr=$_POST['suffStr'];
	$hotLines=$_POST['hotLines'];
	$hotWords=$_POST['hotWords'];
	$oldfunctionName=$_POST['oldfunctionName'];
	$oldcateName=$_POST['oldcateName'];

	
	$selectfunctionName=$_GET['selectfunctionName'];
	$Num=$_POST['Num'];

	
	if ($_GET['ls_msg']=="")
	{
		$ls_msg=$functionName."管理操作";
	}	
	else
	{
		$ls_msg=$_GET['ls_msg'];	
	}
		$ls=$_GET['ls'];
		$id=$_GET['id'];
	switch ($ls)
	{
		
	 	case "unenable":
			$unenable_sql="update ls_functioncates set enable=0 where id=".$id." ";
			//echo $unenable_sql;
			$unenable_query=$opendb->query($unenable_sql);
			$ls_msg="不显示操作成功！";
			break;
		case "enable":
			$enable_sql="update ls_functioncates set enable=1 where id=".$id." ";
			//echo $enable_sql;
			$enable_query=$opendb->query($enable_sql);
			$ls_msg="显示操作成功！";
			break;
		case "del":
			$del_sql="delete from ls_functioncates where ID=".$id."";
	   		//echo $del_sql;
	   		$del_query=$opendb->query($del_sql);
	  	 	$ls_msg="删除操作成功！";
			writelog($_SERVER['PHP_SELF'],"delete column(function) ","ID: ".$id);
			break;
			
		case "insert":
			$select_sql2="select * from ls_functioncates  where cateName='".trim($cateName)."' and functionName='".$functionName."' ";
			$select_query2=$opendb->query($select_sql2);
			$select_rows2_num=mysql_num_rows($select_query2); //总数
			if($select_rows2_num==0)
			{
				$insert_sql="insert into ls_functioncates (cateName,brief,suffStr,hotLines,hotWords,functionName,Num) values ('".$cateName."','".$brief."','".$suffStr."','".$hotLines."','".$hotWords."','".$functionName."','".$Num."') ";
				//echo $insert_sql;
				$insert_query=$opendb->query($insert_sql);
				writelog($_SERVER['PHP_SELF'],"add column(function) ","cateName: ".$cateName." functionName: ".$functionName);
				$ls_msg="添加操作成功！";
			}
			else
			{$ls_msg="分类已存在！";}
			break;
			
	case "modi":
			$modiid=$_POST['modiid'];
			
			$modi_sql="update ls_functioncates set  Num='".$Num."',suffStr='".$suffStr."',hotLines='".$hotLines."',hotWords='".$hotWords."',brief='".$brief."' where id=".$modiid." ";
			//echo $modi_sql;
			
			$modi_query=$opendb->query($modi_sql);
			
			//全部分类
			$modi_sql="update ls_functioncates set functionName='".$functionName."'  where functionName='".$oldfunctionName."' ";
			//echo $modi_sql;
			$modi_query=$opendb->query($modi_sql);
			//全部子类
			$modi_sql="update ls_functioncates set cateName='".$cateName."'  where cateName='".$oldcateName."' and functionName='".$functionName."'";
			//		echo $modi_sql_article;
			$modi_query=$opendb->query($modi_sql);
			//文章分类
			$modi_sql_article="update ls_article set functionName='".$functionName."'  where functionName='".$oldfunctionName."' ";
			//		echo $modi_sql_article;
			$modi_query=$opendb->query($modi_sql_article);
			//文章子类			
			$modi_sql_article="update ls_article set  cate='".$cateName."'  where cate='".$oldcateName."'  and functionName='".$functionName."'";
			//		echo $modi_sql_article;
			$modi_query=$opendb->query($modi_sql_article);


writelog($_SERVER['PHP_SELF'],"modify column(function) "."cateName: ".$cateName." functionName: ".$functionName,"ID: ".$modiid);
			$ls_msg="修改操作成功！";
			break;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<script language="JavaScript" src="js/ls.js"></script>
		<title>无标题文档</title>
	</head>

 <body>
	<table width="98%" border="0" align="center" cellpadding="1" cellspacing="1" bgcolor="#6396d6">
<tr>
				<td height="18" background="images/admin_bg.gif"><div align="center"><font color="#ffffff"><strong>
				  <?=$dispFunctionName?>
				管理</strong></font></div>
			  </td>
			</tr>
			<tr>
				<td height="213" valign="top" bgcolor="#dee7ff"><br />
				  <table width="96%" border="0" align="center">
				  <tr>
				    <td >提示：<font color="#FF0000"><?php echo $ls_msg; ?></font></td>
			      </tr>
				  </table>
				  <?php
					// 获取当前页数
													if( isset($_GET['page']) ){
													   $page = intval( $_GET['page'] );
													}
													else{
													   $page = 1;
													}
													// 每页数量
													$PageSize = $PageNum;
													
													// 获取总数据量
													/********************************************************************************/
						if($selectfunctionName=="")
						{	$sql="select * from ls_functioncates  ";	}
						else
						{
							$sql="select * from ls_functioncates where functionName='".$selectfunctionName."'  ";	
						}
													
														$result=$opendb->query($sql);
													
													/********************************************************************************/
													// 获取总数据量
													
													$row = mysql_num_rows($result);
													$amount = $row;
													
													// 记算总共有多少页
													if( $amount ){
													   if( $amount < $PageSize ){ $page_count = 1; }			   //如果总数据量小于$PageSize，那么只有一页
													   if( $amount % $PageSize ){								  //取总数据量除以每页数的余数
														   $page_count = (int)($amount / $PageSize) + 1;		   //如果有余数，则页数等于总数据量除以每页数的结果取整再加一
													   }else{
														   $page_count = $amount / $PageSize;					  //如果没有余数，则页数等于总数据量除以每页数的结果
													   }
													}
													else{
													   $page_count = 0;
													}
													
													// 翻页链接
													$page_string = '';
														
													if( $page == 1 ){
													   $page_string .= '首页 | 上一页 |';
													}
													else{
													   $page_string .= '<a href=?page=1&selectfunctionName='.$selectfunctionName.'><u><font color=\"#0000FF\">首页</font></u></a> | <a href=?page='.($page-1).'&selectfunctionName='.$selectfunctionName.'><u><font color=\"#0000FF\">上一页</font></u></a> | ';
													}
													if( ($page == $page_count) || ($page_count == 0) ){
													   $page_string .= ' 下一页 | 尾页';
													}
													else{
													   $page_string .= ' <a href=?page='.($page+1).'&selectfunctionName='.$selectfunctionName.'><u><font color=\"#0000FF\">下一页</font></u></a> | <a href=?page='.$page_count.'&selectfunctionName='.$selectfunctionName.'><u><font color=\"#0000FF\">尾页</font></u></a>';
													}
														 $page_string .= " &nbsp;&nbsp;页次：<font color='#FF0000'><b>".$page."</b></font>/<b>".$page_count."</b>页";
														 $page_string .= " &nbsp;&nbsp;<b>".$PageSize."</b>个每页";
														 
													
					
					?>
					
				
				<table border="0" width="96%" align="center">
<tr>
							<td width="91%">栏目选择：
                                                      <?
													  
						$article_sql="SELECT distinct(functionName) FROM ls_functioncates   where functionName!='新闻分类' and functionName!='singlePages' order by Num";//count the error by searchtype
						$article_query=$opendb->query($article_sql);

                          while($news_rows2=mysql_fetch_assoc($article_query))
		  					{
								if($selectfunctionName==$news_rows2['functionName'])
								{echo "<a href='?selectcate=".$news_rows2['cateName']."&selectfunctionName=".$news_rows2['functionName']."'><span style=\"color:#930\" >".$news_rows2['functionName']."</span></a> | ";}
								else
								{echo "<a href='?selectcate=".$news_rows2['cateName']."&selectfunctionName=".$news_rows2['functionName']."'>".$news_rows2['functionName']."</a> | ";}
								
							}
						  ?>
                          <a href='?selectcate='> 全部 </a>
</td>
							<td width="9%" align="right">共 <b><?php echo $row; ?></b> 个分类</td>
						</tr>
					 </table>
			  <table width="96%" border="0" align="center" cellpadding="3" cellspacing="1" bgcolor="#FFFFFF">
<tr bgcolor="#B9DAFF">
							<td align="center" height="25" width="22">选中</td>
		  <td align="center" height="25" width="19">ID</td>
		  <td  align="center" width="110" ><?=$dispFunctionName?>分类</td>
		  <td  align="center" width="110" >子<?=$dispFunctionName?>分类</td>

		  <td  align="center" width="110" >说明</td>
		  <td  align="center" width="29" >标识</td>
		  <td  align="center" width="49" >热点行数</td>
		  <td  align="center" width="49" >热点字数</td>
		  <td width="36" align="center">排序</td>
		  <td width="36" align="center" >修改</td>
		  <td width="36" align="center" >删除</td>
							
		  <td align="center" width="36">允许</td>
				</tr>
						<?php
						
						$functioncates_sql=$sql."order by  Num desc, ID desc limit ". ($page-1)*$PageSize .",".$PageSize." ";	
						//echo $functioncates_sql;
								$functioncates_query=$opendb->query($functioncates_sql);
						
													$i=1;
													while($functioncates_rows=mysql_fetch_assoc($functioncates_query))
										 			 {
													 echo "<tbody id='ZH_".$functioncates_rows['ID']."' >\r\n";	
											 	  	echo "<tr bgcolor='#f4f4f4'";
													echo "onMouseOver=";
													echo " 	this.style.backgroundColor='#CCFFCC' ";
													echo "onMouseOut=";
													echo " 	this.style.backgroundColor='#f4f4f4' ";
													echo ">\r\n";
													echo "<tr bgcolor='#f4f4f4'";
												echo "onMouseOver=";
													echo " 	this.style.backgroundColor='#CCFFCC' ";
													echo "onMouseOut=";
													echo " 	this.style.backgroundColor='#f4f4f4' ";
													echo ">";
													echo "	<td align='center'>";
													echo "		<input name='select_id".$i."' type='checkbox' onclick=\"unselectall()\" id=\"select_id\" value='".$functioncates_rows['ID']."'>";
													echo "	</td>";
													echo "	<td align='center'>";
													echo $functioncates_rows['ID'];
													echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$functioncates_rows['functionName'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$functioncates_rows['cateName'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$functioncates_rows['brief'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$functioncates_rows['suffStr'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$functioncates_rows['hotLines'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$functioncates_rows['hotWords'];
												  echo "	</td>";
												  echo "	<td style='padding-left:10px;'>";
												  echo 		$functioncates_rows['Num'];
												  echo "	</td>";
		echo "	<td align='center'>\r\n";
		echo "		<a href='javascript:secBoard(".$functioncates_rows['ID'].");' title='编辑'><img src='images/b_edit.png' border='0'></a>\r\n";
		echo "  </td>\r\n";
													echo "	<td align='center'> ";
													echo "		<a href='?id=".$functioncates_rows['ID']."&ls=del&functionName=".$functionName."&cateName=".$cateName."&selectfunctionName=".$selectfunctionName."' onclick='return ConfirmDelSubCate();' title='删除'><img src='images/b_drop.png' border='0'></a>";
													echo "  </td>";
													echo "	<td align='center'>";
											  
													  if($functioncates_rows['enable']==1)
														{
															echo "<a href='?id=".$functioncates_rows['ID']."&ls=unenable&functionName=".$functionName."&cateName=".$cateName."&selectfunctionName=".$selectfunctionName."' title='显示'><img src='images/enable.gif' border='0'></a>";
														}
													  if($functioncates_rows['enable']==0)
													  	{
															echo "<a href='?id=".$functioncates_rows['ID']."&ls=enable&functionName=".$functionName."&cateName=".$cateName."&selectfunctionName=".$selectfunctionName."' title='不显示'><img src='images/unenable.gif' border='0'></a>";
														}
																				
													echo "	</td>";
												  echo "</tr>";
												  		echo "</tbody>\r\n";
		
		echo "<tbody id='Z_".$functioncates_rows['ID']."' style='display:none;'>\r\n";
		echo " <form name='fm_menu' action='?ls=modi&page=".$page."&functionName=".$functionName."&selectfunctionName=".$selectfunctionName."' method='post'> ";

		echo "	<tr bgcolor='#CCCCCC'>\r\n";
		echo "	<td align='center'>&nbsp;\r\n";
		echo "	</td>\r\n";
		echo "	<td align='center'>&nbsp;\r\n";
		echo "	</td>\r\n";
		echo "		<td style='padding-left:5px;'>\r\n";
		echo "			<input type='text' value='".$functioncates_rows['functionName']."' name='functionName' size='24' class='inp'>\r\n";
		echo "	<input type='hidden' value='".$functioncates_rows['functionName']."' name='oldfunctionName' > ";
		echo " 		</td>\r\n";
		echo "		<td style='padding-left:5px;'>\r\n";
		echo "			<input type='text' value='".$functioncates_rows['cateName']."' name='cateName' size='24' class='inp'>\r\n";
		echo "	<input type='hidden' value='".$functioncates_rows['cateName']."' name='oldcateName' > ";
		echo " 		</td>\r\n";
		echo "		<td style='padding-left:5px;'>\r\n";
		echo "			<input type='text' value='".$functioncates_rows['brief']."' name='brief' size='20' class='inp'>\r\n";
		echo " 		</td>\r\n";
		echo "		<td style='padding-left:5px;'>\r\n";
		echo "			<input type='text' value='".$functioncates_rows['suffStr']."' name='suffStr' size='8' class='inp'>\r\n";
		echo " 		</td>\r\n";
		echo "		<td style='padding-left:5px;'>\r\n";
		echo "			<input type='text' value='".$functioncates_rows['hotLines']."' name='hotLines' size='8' class='inp'>\r\n";
		echo " 		</td>\r\n";
		echo "		<td style='padding-left:5px;'>\r\n";
		echo "			<input type='text' value='".$functioncates_rows['hotWords']."' name='hotWords' size='8' class='inp'>\r\n";
		echo " 		</td>\r\n";
		echo "		<td style='padding-left:5px;'>\r\n";
		echo "			<input type='text' value='".$functioncates_rows['Num']."' name='Num' size='3' class='inp'>\r\n";
		echo " 		</td>\r\n";
						echo "		<td colspan='3' align='center'>";
						echo "			<input value='".$functioncates_rows['ID']."' name='modiid' type='hidden'>";
						echo "			<input type='submit' value='确定修改'> &nbsp; ";
						echo "			<input type='button' onclick='javascript:secBoard2(".$functioncates_rows['ID'].")' value='放弃修改'>";
						echo " 		</td>";
		echo "	</tr>\r\n";

		echo " </form>\r\n";
		echo "</tbody>\r\n";

												  
												  $i++;
												 }
												 	echo "<tr bgcolor=\"#B9DAFF\">";
												  echo "<td colspan='12' align='center' height='25'>";
												  echo $page_string;
												  echo "</td>";
												  echo "</tr>";
						
					?>
					</table>
			  <br />
			  <form action="?ls=insert&amp;selectcate=<?=$selectcate?>&amp;functionName=<?=$functionName?>" method="post" name="addcate" id="addcate" onsubmit="return checkSubmitForm('functionName','栏目');">
			    <br />
			    <table width="96%" border="0" align="center" cellpadding="5" cellspacing="0"  style=" background-color:#D9E4EA">
			      <tr>
			        <td ><?=$dispFunctionName?>
			          &nbsp;：
			          <input name="functionName" type="text" id="functionName" size="30" /></td>
			        <td width="28%" >子<?=$dispFunctionName?>
			          ：
			            <label>
			            <input name="cateName" type="text" id="cateName" size="30" />
		              </label></td>
			        <td width="35%"  >简介：
			          <label>
			            <input name="brief" type="text" id="32" size="30" />
			            序号：
			            <?
						  	if($selectfunctionName==''){$select_sql2="select * from ls_functioncates ";}
							else
							{$select_sql2="select * from ls_functioncates where functionName='".$selectfunctionName."' ";}
							//echo $select_sql2;
							$select_query2=$opendb->query($select_sql2);
							$select_rows2_num=mysql_num_rows($select_query2); //总数

						?>
			            <input name="Num" id="Num" type="text" style="width:40px;" value="<?=($select_rows2_num+1)*5?>" size="4" maxlength="6" />
		              </label></td>
			        <td width="12%" rowspan="2" align="right" ><div align="center">
			          <input type="submit" name="button" id="button" value="增加栏目" />
			          <input type="reset" name="button2" id="button2" value="重置" />
			          </div>
			          </a></td>
		          </tr>
			      <tr>
			        <td width="25%" align="left" ><span style="padding-left:45px;">
			          <select name="select2" id="select2" style="width:182px;"  onchange="document.addcate.functionName.value=this.options[this.selectedIndex].text;document.addcate.Num.value=this.value;" >
			            <option value="0">请选择栏目：</option>
			            <?
			$news_sql="SELECT distinct functionName FROM ls_functioncates  order by Num";//count the error by searchtype
			$news_query=$opendb->query($news_sql);
			while($news_rows2=mysql_fetch_assoc($news_query))
		  	{
				$select_sql2="select * from ls_functioncates where functionName='".$news_rows2['functionName']."' ";
				//echo $select_sql2;
				$select_query2=$opendb->query($select_sql2);
				$select_rows2_num=mysql_num_rows($select_query2); //总数
				echo "<option value=".(($select_rows2_num+1)*5).">".$news_rows2['functionName']."</option>";
			}

			?>
		            </select>
			          </span></td>
			        <td ><label> 标识串 
			          ：
			          <input name="suffStr" type="text" id="suffStr" value="_" size="30" />
			          </label>
			          <div align="left">
			            <label></label>
		              </div></td>
			        <td >首页：
			          <input name="hotLines" type="text" id="hotLines" size="8" value="8" />
			          字数：
			          <input name="hotWords" type="text" id="hotWords" size="7" value="20" /></td>
		          </tr>
		        </table>
			    <br />
			    </form>
<br /></td>
			</tr>
	</table>
	<br />
</body>
</html>